<?php
		  $idProd=$_GET['idProd'];
		  include ('conexion.php');
		  $cons="SELECT * FROM productos where clave = '$idProd'";
			$res=mysql_query($cons,$conex) or die ("No se realizo con exito la consulta de producto");
			$nom=mysql_result($res,0,'nombre');
			$id=mysql_result($res,0,'clave');
			$des=mysql_result($res,0,'descripcion');
			$min=mysql_result($res,0,'minimo');
			$precio=mysql_result($res,0,'precio');
			$unidades=mysql_result($res,0,'unidadespaquete');
			$idpres=mysql_result($res,0,'idPresentacion');
			$clasificacion=mysql_result($res,0,'clasificacion');
			$costounidad=mysql_result($res,0,'costounidad');
			
			if ($clasificacion == 'Incontables' or $clasificacion == 'Liquidos - polvos' or $clasificacion == 'Materiales de impresion')
			{
			 $idpresentacion2=mysql_result($res,0,'idPresentacion2');
			 $cons4="SELECT presentacion FROM presentaciones WHERE idPresentacion='$idpresentacion2'";
			 $res4=mysql_query($cons4,$conex) or die ("No se pudo consultar nombre de presentacion2");
 			 $nompresentacion2=mysql_result($res4,0,'presentacion');
			 if($idpresentacion2=='0'){$nompresentacion2='Seleccione';}	
			 $mostrarpres2="style='display:block'";			
			}
			else
			{
			 $idpresentacion2='0';
			 $nompresentacion2='Seleccione';	
			 $mostrarpres2="style='display:none'";
			}
			
			$preciopaq=$unidades*$costounidad;

?>
<script type="text/javascript" language="JavaScript1.2" src="stm31.js"></script>
<script language="javascript">
function calcula()
{
var unidades;
var preciopaquete
unidades = document.getElementById('unidades').value;
costopaquete = document.getElementById('costopaquete').value;
	if (unidades == 0)
	{
		alert ("Requiere número de unidades contenidas por paquete");
		document.getElementById("unidades").focus();
	}
	else
	{
		resultado = parseFloat(costopaquete) / parseInt(unidades);
		document.form1.costounidad.value=resultado.toFixed(2); 
	}
}

function MostrarIncontable()
{
	var tipoclasificacion = document.getElementById('clasificacion').value;
	if(tipoclasificacion=='Incontables' || tipoclasificacion=='Liquidos - polvos' || tipoclasificacion=='Materiales de impresion')
	{
	  document.getElementById('mostrarpresentacion').style.display='block';
	}
	else
	{
	 document.getElementById('mostrarpresentacion').style.display='none';	
	}
}
</script>
<table width="750" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td><form action="editproducto2.php" method="post" name="form1" id="form1">
      <table width="95%" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td><p class="style4">Modificar Producto:</p>
              <hr align="left" width="600" size="1" color="#999999" />
                <table width="600" height="173" border="0" align="center" cellspacing="5">
                  <tr>
                    <td width="187" class="style1"><p align="right" class="style4">ID o Clave:</p></td>
                    <td width="310"><input name="clave" type="text" class="cuadrotexto" id="clave" value="<?php echo $id; ?>" size="10" maxlength="10" readonly></td>

                  </tr>

                  <tr>

                    <td width="187" class="style1"><p align="right" class="style4">Nombre:</p></td>

                    <td width="310"><input name="nombre" type="text" class="cuadrotexto" id="nombre" value="<?php echo utf8_encode($nom); ?>" size="50" maxlength="100" /></td>

                  </tr>

                  <tr>

                    <td valign="top" class="style1"><p align="right" class="style4">Descripci&oacute;n: </p></td>

                    <td valign="top" class="style1"><textarea name="descripcion" cols="40" rows="3" class="cuadrotexto" id="descripcion"><?php echo $des; ?></textarea></td>

                  </tr>

                  <tr>

                  <td class="style4"><div align="right">Unidad de medida:</div></td>

                    <td><?php					

					

					$cons3="SELECT presentacion FROM presentaciones WHERE idPresentacion='$idpres'";

					$res3=mysql_query($cons3,$conex) or die ("No se pudo consultar nombre de presentacion");

					$presentacion=mysql_result($res3,0,'presentacion');

					

					$cons2="SELECT * FROM presentaciones order by presentacion";

					$res2=mysql_query($cons2,$conex) or die ("No se pudo consultar la presentacion");

					  echo "<select name='presentacion' class='cuadrotexto' >";

					  echo "<option value=".$idpres." selected='selected'>".$presentacion."</option>"; 

                      while ($campo=mysql_fetch_assoc($res2)) 

	    				{

						  echo "<option value=".$campo['idPresentacion']." >".$campo['presentacion']."</option>"; 

 						}

                      echo "</select>";

					  

                    ?></td>

                  </tr>

                  <tr>

                    <td class="style4"><div align="right">M&iacute;nimo en Stock:</div></td>

                    <td><input name="stock" type="text" class="cuadrotexto" id="stock" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue = false;" value="<?php echo $min; ?>" size="10" maxlength="5"></td>

                  </tr>
					<!--
                  <tr>

                    <td class="style4"><div align="right">Precio:</div></td>

                    <td><span class="style4">$

                      <input name="precio" type="text" class="cuadrotexto" id="precio" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue = false;" value="<?php echo $precio; ?>" size="10" maxlength="10" />

                    </span></td>

                  </tr>
					-->
                  <tr>

                    <td class="style4"><div align="right">Clasificaci&oacute;n:</div></td>
                    <td>
                    <?php
				$selected1="";
				$selected2="";
				$selected3="";
				$selected4="";
				$selected5="";
				
				if ($clasificacion == "Contables fijos")
				{
					$selected1="selected";
				}
				if ($clasificacion == "Contables variables")
				{
					$selected2="selected";
				}
				if ($clasificacion == "Incontables")
				{
					$selected3="selected";
				}
				if ($clasificacion == "Liquidos - polvos")
				{
					$selected4="selected";
				}
				if ($clasificacion == "Materiales de impresion")
				{
					$selected5="selected";
				}					
				
				echo "<select name='clasificacion' class='cuadrotexto' id='clasificacion' onChange='MostrarIncontable()'>";
				if ($clasificacion =='')
				{
					echo "<option value='Selecciona' selected='selected'>Selecciona</option>";
				}
				echo "<option value='Contables fijos' ".$selected1.">Contables fijos</option>";
				echo "<option value='Contables variables' ".$selected2.">Contables variables</option>";
				echo "<option value='Incontables' ".$selected3.">Incontables</option>";
				echo "<option value='Liquidos - polvos' ".$selected4.">Liquidos - polvos</option>";
				echo "<option value='Materiales de impresion' ".$selected5.">Materiales de impresion</option>";
     			echo "</select>";
				?>
                 <input type="hidden" name="clasificacion_ant" id="clasificacion_ant" value="<?php echo $clasificacion; ?>">   
                    </td>
                  </tr>
                   </table>				  
                  <table id="mostrarpresentacion" width="600" border="0" align="center" cellspacing="5" <?php echo $mostrarpres2; ?>>
                  <tr>
				    <td width="187" class="style4"><div align="right">Presentacion de compra:</div></td>
				    <td>
                      <?php	
					  
					  $cons1="SELECT * FROM presentaciones order by presentacion";
					  $res1=mysql_query($cons1,$conex) or die ("No se pudo consultar la presentacion2");
					  echo "<select name='presentacion2' class='cuadrotexto'>";
                      echo "<option value='$idpresentacion2' selected='selected'>$nompresentacion2</option>";
					  while ($campo1=mysql_fetch_assoc($res1)) 
	    			  {
						  echo "<option value=".$campo1['idPresentacion']." >".$campo1['presentacion']."</option>"; 
					  }
                      echo "</select>";
                    ?>
                    </td>
			      </tr>
                  </table>
                  <table width="600" border="0" align="center" cellspacing="5">
                   <tr>
				    <td width="187" class="style4">&nbsp;</td>
				    <td>&nbsp;</td>
			      </tr>
                   <tr>
                    <td class="style4"><div align="right">Unidades por paquete:</div></td>
                    <td> <input name="unidades" type="text" class="cuadrotexto" id="unidades" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue = false;" onkeyup="javascript:calcula()" value="<?php echo $unidades; ?>" size="8" maxlength="10" />
                    </td>
                  </tr>
                  <tr>
                    <td class="style4"><div align="right">Precio por paquete:</div></td>
                    <td>$ <input name="costopaquete" type="text" class="cuadrotexto" id="costopaquete" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue = false;" onkeyup="javascript:calcula()" value="<?php echo number_format($preciopaq,2); ?>" size="8" maxlength="10" />
					</td>
                  </tr>
                  <tr>
                    <td class="style4"><div align="right">Costo por unidad:</div></td>
                    <td> $ <input name="costounidad" type="text" class="cuadrotexto" id="costounidad" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue = false;" value="<?php echo $costounidad; ?>" size="8" maxlength="10" /></td>
                  </tr>
                </table>
  <br />
              <p class="style4">&nbsp;</p>

            <table width="146" border="0" align="center" cellspacing="10">

      <tr>

                    <td width="58"><div align="right">

                        <input name="Reset" type="button" class="boton2" onclick="javascript:history.back()" value="Cancelar" />
                    </div></td>
                  <td width="65"><input name="Submit2" type="submit" class="boton2" value="Guardar" /></td>
                </tr>
              </table>
            <p></p></td>
        </tr>
      </table>
    </form></td>
  </tr>
</table>